Update user contact details
curl --request PATCH \
--url https://api.example.com/api/users/{id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"full_name": "<string>",
"phone": "<string>",
"country_code": "<string>",
"state": "<string>",
"city": "<string>",
"address_1": "<string>",
"address_2": "<string>",
"postcode": "<string>",
"blocked": true,
"kyc_verified": true
}
'import requests
url = "https://api.example.com/api/users/{id}/"
payload = {
"full_name": "<string>",
"phone": "<string>",
"country_code": "<string>",
"state": "<string>",
"city": "<string>",
"address_1": "<string>",
"address_2": "<string>",
"postcode": "<string>",
"blocked": True,
"kyc_verified": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
full_name: '<string>',
phone: '<string>',
country_code: '<string>',
state: '<string>',
city: '<string>',
address_1: '<string>',
address_2: '<string>',
postcode: '<string>',
blocked: true,
kyc_verified: true
})
};
fetch('https://api.example.com/api/users/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/users/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'full_name' => '<string>',
'phone' => '<string>',
'country_code' => '<string>',
'state' => '<string>',
'city' => '<string>',
'address_1' => '<string>',
'address_2' => '<string>',
'postcode' => '<string>',
'blocked' => true,
'kyc_verified' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/users/{id}/"
payload := strings.NewReader("{\n \"full_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"country_code\": \"<string>\",\n \"state\": \"<string>\",\n \"city\": \"<string>\",\n \"address_1\": \"<string>\",\n \"address_2\": \"<string>\",\n \"postcode\": \"<string>\",\n \"blocked\": true,\n \"kyc_verified\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/users/{id}/")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"full_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"country_code\": \"<string>\",\n \"state\": \"<string>\",\n \"city\": \"<string>\",\n \"address_1\": \"<string>\",\n \"address_2\": \"<string>\",\n \"postcode\": \"<string>\",\n \"blocked\": true,\n \"kyc_verified\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/users/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"full_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"country_code\": \"<string>\",\n \"state\": \"<string>\",\n \"city\": \"<string>\",\n \"address_1\": \"<string>\",\n \"address_2\": \"<string>\",\n \"postcode\": \"<string>\",\n \"blocked\": true,\n \"kyc_verified\": true\n}"
response = http.request(request)
puts response.read_body{}Users
Update user contact details
Allows authorized callers to update supported user profile/contact fields and KYC verification status. Use deactivate/reactivate endpoints to manage user access.
PATCH
/
api
/
users
/
{id}
/
Update user contact details
curl --request PATCH \
--url https://api.example.com/api/users/{id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"full_name": "<string>",
"phone": "<string>",
"country_code": "<string>",
"state": "<string>",
"city": "<string>",
"address_1": "<string>",
"address_2": "<string>",
"postcode": "<string>",
"blocked": true,
"kyc_verified": true
}
'import requests
url = "https://api.example.com/api/users/{id}/"
payload = {
"full_name": "<string>",
"phone": "<string>",
"country_code": "<string>",
"state": "<string>",
"city": "<string>",
"address_1": "<string>",
"address_2": "<string>",
"postcode": "<string>",
"blocked": True,
"kyc_verified": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
full_name: '<string>',
phone: '<string>',
country_code: '<string>',
state: '<string>',
city: '<string>',
address_1: '<string>',
address_2: '<string>',
postcode: '<string>',
blocked: true,
kyc_verified: true
})
};
fetch('https://api.example.com/api/users/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/users/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'full_name' => '<string>',
'phone' => '<string>',
'country_code' => '<string>',
'state' => '<string>',
'city' => '<string>',
'address_1' => '<string>',
'address_2' => '<string>',
'postcode' => '<string>',
'blocked' => true,
'kyc_verified' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/users/{id}/"
payload := strings.NewReader("{\n \"full_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"country_code\": \"<string>\",\n \"state\": \"<string>\",\n \"city\": \"<string>\",\n \"address_1\": \"<string>\",\n \"address_2\": \"<string>\",\n \"postcode\": \"<string>\",\n \"blocked\": true,\n \"kyc_verified\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/users/{id}/")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"full_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"country_code\": \"<string>\",\n \"state\": \"<string>\",\n \"city\": \"<string>\",\n \"address_1\": \"<string>\",\n \"address_2\": \"<string>\",\n \"postcode\": \"<string>\",\n \"blocked\": true,\n \"kyc_verified\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/users/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"full_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"country_code\": \"<string>\",\n \"state\": \"<string>\",\n \"city\": \"<string>\",\n \"address_1\": \"<string>\",\n \"address_2\": \"<string>\",\n \"postcode\": \"<string>\",\n \"blocked\": true,\n \"kyc_verified\": true\n}"
response = http.request(request)
puts response.read_body{}Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
A unique integer value identifying this user.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
100Maximum string length:
100Maximum string length:
100Maximum string length:
100Maximum string length:
100Maximum string length:
500Maximum string length:
500Maximum string length:
100Response
200 - application/json
Returns a confirmation object with details when the user details are updated.

